#define IN_STG_CODE 0
#include "Rts.h"
#include "Stg.h"
#ifdef __cplusplus
extern "C" {
#endif
 
void SystemziPosixziSemaphore_d1li(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1)
{
Capability *cap;
HaskellObj ret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,(StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(cap,a1))) ,&ret);
rts_checkSchedStatus("SystemziPosixziSemaphore_d1li",cap);
rts_unlock(cap);
}
#ifdef __cplusplus
}
#endif

